import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { provinceGetStewardsService } from "./province-get-stewards";

export const provinceEditStewardService = createAsyncThunk(
  "PROVINCE_EDIT_STEWARD_SERVICE",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.put("steward/0/", d);
      dispatch(provinceGetStewardsService());
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
